<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        .block{
            display: flex;
            border: 1px solid #000;
           justify-content: space-around
        }

        .block_flex{
         height: 800px;
         align-items: flex-start
        }
        
        .block div{
            padding: 10px;
            width: 100px;
            height: 400px;
        }  
        .block div:nth-child(1){
            align-self: flex-end;
        }  

        .block div:nth-child(3){
            align-self: center;
        }

        .block div:nth-child(5){
            align-self: flex-end;
        }

            .block div:nth-child(1){
            background-color: #FFEDBB;
        }

        .block div:nth-child(2){
            background-color: #FFEDBB;
        }

        .block div:nth-child(3){
            background-color: #0b4e2f;
        }

        .block div:nth-child(4){
            background-color: #FFEDBB;
        }

        .block div:nth-child(5){
            background-color: #d3bbff;
        }

        .block div:nth-child(6){
            background-color: #FFEDBB;
        }

        .block div:nth-child(7){
            background-color: #584307;
        }

    
      
    </style>
</head>
<body>

    <div class="block block_flex">
        <div>1</div>
        <div>2</div>
        <div>3</div>
        <div>4</div>
        <div>5</div>
        <div>6</div>
        <div>7</div>
    </div>
    
</body>
</html>
